Summary: AWK Zeit-Aaufschreibungs Tool
Name: azat
Version: 0.5
Release: 1
URL: http://www.nix.at/sw/%{name}
Source0: http://www.nix.at/sw/%{name}/download/%{name}-%{version}.tar.gz
License: GPL
Group: Applications/Publishing
BuildRoot: %{_tmppath}/%{name}-root
BuildArchitectures: noarch

Requires: gawk
Requires: texlive-latex
Requires: texlive-metafont
Requires: texlive-collection-fontsrecommended
%if 0%{?rhel} > 7
Requires: texlive-babel-english
Requires: texlive-babel-german
%endif
Requires: texlive-dvips

%description
AZAT is a small AWK tool that can be used to create Excel like Work
Reports. They contain month summaries, detailed time tables from
months and detailed work description tables. Holiday calculation is
included. The input format a very simple text format.

%prep
%setup -q

%build

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/bin $RPM_BUILD_ROOT/usr/lib/azat
mkdir -p $RPM_BUILD_ROOT/usr/share/doc/%{name}-%{version}
cp -a azat $RPM_BUILD_ROOT/usr/bin
cp -a azat.awk lang-*.awk header-*.tex footer.tex $RPM_BUILD_ROOT/usr/lib/azat

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/usr/bin/azat
/usr/lib/azat
%doc AUTHORS CHANGELOG.md LICENSE README.md demo.azat
